5.2.0-git
04/20/2014

[#10332] New permission: max_forward_addresses
Summary New permission: max_forward_addresses
Queue Ingo
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester almarin (at) um (dot) es
Created 07/12/2011 (1013 days ago)
Due
Updated 02/12/2014 (67 days ago)
Assigned
Resolved 02/12/2014 (67 days ago)
Milestone
Patch No

History
02/12/2014 12:46:31 AM Michael Slusarz Comment #7
Assigned to Michael Slusarz
Summary ⇒ New permission: max_forward_addresses
State ⇒ Resolved
Patch ⇒ No
Reply to this comment
Ingo 3.2.
02/12/2014 12:46:00 AM Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 6cddba4001f1eecbb9ddba97e8a2cfa6be85b777
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 11 17:45:22 2014 -0700

     [mms] Add 'max_forward' permission (Request #10332).

  ingo/docs/CHANGES            |    1 +
  ingo/docs/UPGRADING          |    1 +
  ingo/lib/Perms.php           |    4 ++++
  ingo/lib/Storage/Forward.php |   16 +++++++++++++++-
  ingo/package.xml             |    1 +
  5 files changed, 22 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/6cddba4001f1eecbb9ddba97e8a2cfa6be85b777
01/30/2013 02:44:46 PM Jan Schneider Comment #5
Version ⇒ Git master
Reply to this comment
The patch for forward.php is emtpy.
01/30/2013 02:43:39 PM Jan Schneider Deleted Attachment: ingo-forward-max-addresses-patch.tgz
 
10/30/2012 10:57:15 AM almarin (at) um (dot) es Comment #4
New Attachment: ingo_max_forwards_perm_patch.tgz Download
Reply to this comment
A simple patch to create a new permission in ingo to allow to specify 
a maximun number of forward recipients
07/18/2011 10:12:47 AM almarin (at) um (dot) es Comment #3 Reply to this comment
You are right, it shouldn't be modeled as a preference. I don't know 
too much the new permission system, but maybe the better way to 
implement this functionality would be a script-specific param. As far 
as i know, this limitation of number of forward recipients is a 
"sieve" feature, so this should be checked and implemented inside the 
sieve filter according to a parameter specified in key 'scriptparams' 
of the backend.

From my point of view it could be a nice enhancement, but i can't 
develop a patch so it's up to you to keep this ticket open.

Regards.
07/12/2011 12:31:03 PM Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
If this is a server-wide administrator-set limit, why do you implement 
that as a preference? If this is supposed to get into Ingo 2 (we won't 
add any new features to Ingo 1), this should be implemented as a 
permission instead.
07/12/2011 11:10:35 AM almarin (at) um (dot) es Comment #1
State ⇒ New
New Attachment: ingo-forward-max-addresses-patch.tgz
Patch ⇒ Yes
Milestone ⇒
Queue ⇒ Ingo
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ New ingo preference: max_forward_addresses
Reply to this comment
Hi,

We are using Ingo to store forward filters with sieve driver. We have 
limited in our mail servers the maximum number of addresses to 
forward, but Ingo allows to indicate any number of addresses to forward.

We have developed a patch including a new preference called 
max_forward_addresses in ingo prefs, to check it before store the 
filters. I don't know if it could be a interesting functionality to 
port to Horde 4.

Regards